"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const markdown_it_1 = __importDefault(require("markdown-it"));
const yamlFront = require('yaml-front-matter');
const it = new markdown_it_1.default({});
function parse(md, fileName = '') {
    const meta = yamlFront.loadFront(md);
    const tokens = it.parse(meta.__content.toString() || '', {});
    delete meta.__content;
    const codeToken = tokens.find(w => w.tag === 'code');
    if (!codeToken) {
        throw new Error(`Must have a code body`);
    }
    meta.body = codeToken.content.trim();
    return meta;
}
exports.parse = parse;
